<?php

/* 
  Title: minify.php
  Purpose - Concatenate and minify an array into a folder in /themes
  Author - Doug Avery <doug.avery@viget.com>
*/

function minify($file_array, $file_extension){

	/* @group get config array and DB info */

		define('BASEPATH', true);
		$config = array();
		include 'system/expressionengine/config/config.php';
		$db = array('expressionengine' => array());
		include 'system/expressionengine/config/database.php';

	/* @end */

	/* @group remove old "all" file */

		$all_file = "themes/{$config[main_theme]}/{$file_extension}/all.{$file_extension}";
		if (file_exists($all_file)){
			exec("rm {$all_file}");
		}

	/* @end */

	/* @group combine all files */

		$cat_command = "cat ";
		foreach($file_array as $filename){
			$cat_command .= " themes/{$config[main_theme]}/{$file_extension}/{$filename}.{$file_extension}";
		}
		$cat_command .= " > {$all_file}";
		exec($cat_command);

	/* @end */
	
	/* @group minify the "all" file */

		exec("java -jar tasks/yuicompressor-2.4.2/yuicompressor-2.4.2.jar \
		themes/{$config[main_theme]}/{$file_extension}/all.{$file_extension} \
		-o \
		themes/{$config[main_theme]}/{$file_extension}/all.min.{$file_extension}");

	/* @end */
	
	/* @group feedback */

		echo("Minifying to themes/{$config[main_theme]}/{$file_extension}/all.min.{$file_extension}\n");

	/* @end */

}

?>

